> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Policy Versions

> List Policy Versions



## OpenAPI

````yaml /api-specs/cloud/governance-api.json get /policies/{id}/versions
openapi: 3.0.3
info:
  description: Service responsible for managing Domino Governance feature
  title: Domino Governance API
  contact:
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
    email: support@dominodatalab.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech/api/governance/v1
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
paths:
  /policies/{id}/versions:
    get:
      tags:
        - policy-versions
      summary: List Policy Versions
      description: List Policy Versions
      parameters:
        - description: Limit
          name: limit
          in: query
          schema:
            type: integer
        - description: Offset
          name: offset
          in: query
          schema:
            type: integer
        - description: ID of policy of the policy versions to retrieve
          name: id
          in: path
          required: true
          schema:
            type: string
        - description: Order by
          name: order_by
          in: query
          schema:
            type: string
        - description: Search
          name: search
          in: query
          schema:
            type: string
        - description: Status
          name: status
          in: query
          schema:
            type: string
        - description: >-
            Hydrate the response with taxonomy property values (default true);
            set false to skip
          name: hydrateTaxonomy
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.PaginatedPolicyVersionOverviews'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.PaginatedPolicyVersionOverviews:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/guardrails.PolicyVersionOverview'
        meta:
          $ref: '#/components/schemas/guardrails.Meta'
    server.HTTPError:
      type: object
      properties:
        code:
          description: >-
            Code is a stable machine-readable error identifier; absent on most
            errors.
          allOf:
            - $ref: '#/components/schemas/guardrails.ErrorCode'
        message:
          type: string
    guardrails.PolicyVersionOverview:
      type: object
      properties:
        createdBy:
          type: object
        id:
          type: string
        policyId:
          type: string
        status:
          $ref: '#/components/schemas/guardrails.PolicyStatus'
        taxonomyProperties:
          description: populated by TaxonomyService
          type: array
          items:
            $ref: '#/components/schemas/guardrails.TaxonomyPropertyValue'
        updatedAt:
          type: string
        version:
          type: string
    guardrails.Meta:
      type: object
      properties:
        filters:
          type: array
          items:
            $ref: '#/components/schemas/guardrails.Filter'
        pagination:
          $ref: '#/components/schemas/guardrails.Pagination'
        search:
          type: string
        sort:
          type: array
          items:
            $ref: '#/components/schemas/guardrails.Sorter'
    guardrails.ErrorCode:
      type: string
      enum:
        - BUNDLE_REQUIRES_POLICY
      x-enum-varnames:
        - CodeBundleRequiresPolicy
    guardrails.PolicyStatus:
      type: string
      enum:
        - Draft
        - Published
        - Archived
      x-enum-varnames:
        - PolicyDraft
        - PolicyPublished
        - PolicyArchived
    guardrails.TaxonomyPropertyValue:
      type: object
      properties:
        description:
          type: string
        groupName:
          type: string
        propertyId:
          type: string
        propertyLabel:
          type: string
        type:
          type: string
        value:
          type: string
        values:
          type: array
          items:
            type: string
    guardrails.Filter:
      type: object
      properties:
        key:
          type: string
        values:
          type: array
          items:
            type: string
    guardrails.Pagination:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        totalCount:
          type: integer
    guardrails.Sorter:
      type: object
      properties:
        key:
          type: string
        order:
          type: string

````

## Related topics

- [Define policies](/cloud/platform-capabilities/features/governance/define-governance-policies/index.md)
- [List policy overviews](/api-reference/policies/list-policy-overviews.md)
- [List bundles](/api-reference/bundles/list-bundles.md)
- [List attachment overviews](/api-reference/attachments/list-attachment-overviews.md)
